// CI17View.h : interface of the CCI17View class
//


#pragma once


class CCI17View : public CView
{
protected: // create from serialization only
	CCI17View();
	DECLARE_DYNCREATE(CCI17View)

// Attributes
public:
	CCI17Doc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CCI17View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
};

#ifndef _DEBUG  // debug version in CI17View.cpp
inline CCI17Doc* CCI17View::GetDocument() const
   { return reinterpret_cast<CCI17Doc*>(m_pDocument); }
#endif

